OSRM-EXTRACT(1)

NAME
osrm-extract - generate OSRM routing data from OSM data

SYNOPSIS
osrm-extract FILE [OPTIONS]

DESCRIPTION
osrm-extract takes OSM data, ether in a xml file, a bzipped xml or a pbf encoded file. Along with a profile (written in lua). It then creates three files, .osrm which contains the routing data, osrm.restrictions which contains turn restrictions, and .osrm.names which contains the names of the road.

-v, --version
    show version

-h, --help
    show the help message

-c, --config
    path to a configuration file

-p, --profile
    path to a Lua routing profile

-t, --threads
    number of threads to use

PROFILES
Profiles are written in Lua, and describe how the OSM data can be routed across. Several profiles are available in /etc/osrm/profiles

EXAMPLES
Using the data file planet-latest.osm.pbf, and the profile /etc/osrm/profiles/car.lua, you would run:
      osrm-extract planet-latest.osm.pbf --profile /etc/osrm/profiles/car.lua This should then generate: planet-latest.osrm planet-latest.osrm.restrictions planet-latest.osrm.names The next step is to run the osrm-prepare tool.

SEE ALSO
osrm(7), osrm-prepare(1), osrm-routed(1)